CVE-1999-1439
CVSS2.1
发布时间 :1998-01-02 00:00:00
修订时间 :2016-10-17 22:04:34
NMCOS    

[原文]gcc 2.7.2 allows local users to overwrite arbitrary files via a symlink attack on temporary .i, .s, or .o files.


[CNNVD]GCC 2.7.2符号连接漏洞(CNNVD-199801-009)

        gcc 2.7.2存在漏洞,本地用户借助对暂时的 .i、.s、或 .o文件的符号连接攻击来重写任意文件。

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-1439
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-1999-1439
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-199801-009
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=88419592307388&w=2
(UNKNOWN)  BUGTRAQ  19980102 Symlink bug with GCC 2.7.2
http://marc.info/?l=bugtraq&m=88492937727193&w=2
(UNKNOWN)  BUGTRAQ  19980115 GCC 2.7.? /tmp files
http://marc.info/?l=bugtraq&m=88524071002939&w=2
(UNKNOWN)  BUGTRAQ  19980108 GCC Exploit
http://www.securityfocus.com/bid/146
(UNKNOWN)  BID  146

- 漏洞信息

GCC 2.7.2符号连接漏洞
低危 其他
1998-01-02 00:00:00 2005-10-20 00:00:00
远程  
        gcc 2.7.2存在漏洞,本地用户借助对暂时的 .i、.s、或 .o文件的符号连接攻击来重写任意文件。

- 公告与补丁

        Obtain the newest version of gcc if you believe you are vulnerable to this attack. Until you upgrade, it's especially important not to run gcc as root. This could lead to a possible root compromise. GCC is a product of the GNU project and the newest version can be found at ftp://ftp.gnu.org/pub.

- 漏洞信息

13527
Gnu GCC Temporary Files Symlink Arbitrary File Overwrite
Local Access Required Race Condition

- 漏洞描述

Unknown or Incomplete

- 时间线

1998-01-02 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

GCC 2.7.2 Symlink Vulnerability
Race Condition Error 146
Yes No
1998-01-02 12:00:00 2009-07-11 12:16:00
This vulnerability was originally posted to bugtraq by Richard Kenny <rkenny@CRIMELAB.NET> on January 2, 1998.

- 受影响的程序版本

GNU gcc 2.7.2

- 漏洞讨论

The exploitation of the GNU gcc 2.7.2 symlink vulnerability appeared when it was realized gcc followed symbolic links during the accessing of temporary files in /tmp. The symlinks that are followed by gcc when the vulnerability is exploited are created by the attacker with predicted filenames. The consequence of the vulnerability being exploited is the ability for the attacker to "destroy" any file he has access to. The file is destroyed in the sense that, when the symlink is followed, the 'temporary file' (which points to the target file), is written to by gcc. There is a possibility the attacker may be able to write arbritrary data to some files and gain local root access.

- 漏洞利用

To exploit this vulnerability, the attacker would have to create symlinks with names of predicted gcc temporary files. The symlinks would have to point to the target file(s) which would be overwritten. In all likelyhood, gcc would have to be run several times before one of the created symlinks is followed.

- 解决方案

Obtain the newest version of gcc if you believe you are vulnerable to this attack. Until you upgrade, it's especially important not to run gcc as root. This could lead to a possible root compromise. GCC is a product of the GNU project and the newest version can be found at ftp://ftp.gnu.org/pub.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站